# Submit Sentiment Analysis Job Starts an asynchronous job to analyze sentiments in a transcript. The transcript can be supplied through text as plain text or json as a rev.com transcript format Endpoint: POST /sentiment_analysis/v1/jobs Version: v1 Security: AccessToken ## Request fields (application/json): - `metadata` (string,null) Optional metadata that was provided during job submission. - `notification_config` (object,null) Optional configuration for a callback url to invoke when processing is complete, in addition to auth headers if they are needed to invoke the callback url. Cannot be set if callback_url is set. This option will not be visible in the submission response. - `notification_config.url` (string, required) Optional callback url to invoke when processing is complete Example: "https://www.example.com/callback" - `notification_config.auth_headers` (object,null) Optional authorization headers, if they are needed to invoke the callback. There are a few constraints: 1) the “Authorization” header is the only header that can be passed in, and 2) the header value must be of the form . For example: {"Authorization": "Bearer $BEARER_TOKEN"} - `notification_config.auth_headers.Authorization` (string, required) Example: "Bearer " - `delete_after_seconds` (integer,null) Amount of time after job completion when job is auto-deleted. Present only when preference set in job request. - `language` (string,null) The user input language of the transcript. Enum: "en" - `text` (string,null) Plain text to be analyzed in this job submission. No timestamps will be included in the response if input is provided this way. Example: "Plain text I would like processed." - `json` (object,null) Rev AI transcript to be analyzed in this job submission. With this input timestamps will be in result. - `json.monologues` (array) - `json.monologues.speaker` (integer) Id of the speaker of the monologue. Example: 1 - `json.monologues.speaker_info` (object,null) Information about the speaker for this monologue. Null if speaker_names option not provided or no speaker name detected. - `json.monologues.speaker_info.id` (integer) Id of the speaker of the monologue Example: 1 - `json.monologues.speaker_info.display_name` (string) Human readable name of the speaker that was provided Example: "Jane Doe" - `json.monologues.elements` (array) Array of transcript elements - `json.monologues.elements.type` (string) Type of transcript element. Enum: "text", "punct", "unknown" - `json.monologues.elements.value` (string) Value of the transcript element. Example: "Hello" - `json.monologues.elements.ts` (number,null) The timestamp of the beginning of the element relative to the beginning of the audio in seconds (centisecond precision). - `json.monologues.elements.end_ts` (number,null) The timestamp of the end of the element relative to the beginning of the audio in seconds (centisecond precision). - `json.monologues.elements.confidence` (number,null) Confidence score of the provided value. If the element type is punct or unknown, confidence will be null Example: 0.85 - `callback_url` (string,null) Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored. Example: "https://www.example.com/callback" ## Response 200 fields (application/json): - `id` (string) Id of the job. Example: "Umx5c6F7pH7r" - `created_on` (string) The date and time the job was created in ISO-8601 UTC form. Example: "2018-05-05T23:23:22.29Z" - `completed_on` (string,null) The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form. Example: "2018-05-05T23:28:22.29Z" - `metadata` (string,null) Optional metadata that was provided during job submission. - `failure_detail` (string,null) Human-readable reason why the job failed. Example: "Internal server error." - `delete_after_seconds` (integer,null) Amount of time after job completion when job is auto-deleted. Present only when preference set in job request. - `status` (string) Current status of the job. Enum: "in_progress", "completed", "failed" - `failure` (string) Simple reason of why the job failed. Check failure_detail for specific details and solutions. Enum: "internal_processing", "insufficient_balance", "invoicing_limit_exceeded", "input_too_small", "input_too_large" - `language` (string,null) The user input language of the transcript. Enum: "en" - `word_count` (integer,null) The amount of words processed. Example: 4231 - `type` (string) The type of action performed, in this case sentiment_analysis Enum: "sentiment_analysis" - `callback_url` (string,null) Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored. Example: "https://www.example.com/callback" ## Response 400 fields (application/json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error - `parameters` (object) Invalid properties object where each property is the key, mapped to a list of reasons why the property is invalid ## Response 401 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `status` (integer) HTTP status code of the error ## Response 403 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error ## Response 404 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error ## Response 413 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `detail` (string) Human-readable explanation specific to this occurrence of the problem - `status` (integer) HTTP status code of the error